=== thirdparty/mingw-w64/CMakeLists.txt ===
message_start_thirdparty()

add_subdirectory(mingw-w64)

message_end_thirdparty()
