=== thirdparty/pybind11/CMakeLists.txt ===
message_start_thirdparty()

add_subdirectory(pybind11)

message_end_thirdparty()
