=== examples/simulations/heatTransfer/CMakeLists.txt ===
#------------------------------------------------------------------------------#
# Distributed under the OSI-approved Apache License, Version 2.0.  See
# accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

cmake_minimum_required(VERSION 3.12)
project(ADIOS2SimulationsHeatTransferExample)

add_subdirectory(inline)
add_subdirectory(read)
add_subdirectory(readFileOnly)
add_subdirectory(write)
