=== testing/adios2/hierarchy/CMakeLists.txt ===
#------------------------------------------------------------------------------#
#Distributed under the OSI - approved Apache License, Version 2.0. See
#accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

bp_gtest_add_tests_helper(HierarchicalReading MPI_NONE)
